From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cram/
Date: Thu, 30 May 2019 20:57:50 +0000 (UTC) [thread overview]
Message-ID: <1559249839.ef74c44c238483b682040c420b4a566ad483d11e.soap@gentoo> (raw)
commit: ef74c44c238483b682040c420b4a566ad483d11e
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu May 30 20:57:19 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu May 30 20:57:19 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef74c44c
dev-util/cram: Add pypy3 and py3.7 support
* EAPI=7
* Add test suite
* Remove py2, as it causes failures in the test suite
when dev-python/configparser is installed
Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-util/cram/cram-0.7.ebuild | 11 ++++++-----
1 file changed, 6 insertions(+), 5 deletions(-)
diff --git a/dev-util/cram/cram-0.7.ebuild b/dev-util/cram/cram-0.7.ebuild
index 05dedeb0a0a..80888de3e6c 100644
--- a/dev-util/cram/cram-0.7.ebuild
+++ b/dev-util/cram/cram-0.7.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_{5,6}} )
+PYTHON_COMPAT=( python3_{5,6,7} pypy3 )
inherit distutils-r1
@@ -14,7 +14,8 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 x86 ~amd64-fbsd ~x86-fbsd"
-IUSE=""
-DEPEND=""
-RDEPEND="${DEPEND}"
+python_test() {
+ distutils_install_for_testing
+ "${EPYTHON}" "${TEST_DIR}"/scripts/cram tests || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2019-05-30 20:57 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-05-30 20:57 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-12 23:02 [gentoo-commits] repo/gentoo:master commit in: dev-util/cram/ Sam James
2025-03-02 19:31 Michał Górny
2024-07-06 15:54 Michał Górny
2023-10-28 17:29 David Seifert
2022-12-04 15:59 WANG Xuerui
2022-07-25 9:52 David Seifert
2022-07-25 9:52 David Seifert
2022-07-25 9:50 David Seifert
2022-04-09 14:38 Sebastian Pipping
2021-05-31 21:49 Marek Szuba
2021-05-23 19:28 Michał Górny
2021-04-19 19:41 Sam James
2021-01-04 1:27 Sam James
2021-01-04 1:25 Sam James
2021-01-04 1:23 Sam James
2020-09-09 1:03 Sam James
2020-05-19 17:06 Rafael Martins
2018-06-26 18:46 Pacho Ramos
2018-06-04 19:25 Mart Raudsepp
2016-11-01 22:13 Tim Harder
2016-10-02 6:13 Tim Harder
2016-06-18 13:05 Rafael Martins
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1559249839.ef74c44c238483b682040c420b4a566ad483d11e.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox